PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package affinity
  Definition Classes
    serverobject
- FactionAffinity
- FactionAffinityBehavior

t

net.psforever.objects.serverobject.affinity

# FactionAffinity

###
Companion object FactionAffinity

#### trait FactionAffinity extends AnyRef

Keep track of the allegiance of the object in terms of its association to a `PlanetSideEmpire` value.

Source
  FactionAffinity.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
FakeNtuSource, AmmoBox, BoomerDeployable, BoomerTrigger, ConstructionItem, ExplosiveDeployable, Kit, LocalLockerItem, LocalProjectile, Player, SensorDeployable, ShieldGeneratorDeployable, SimpleItem, Telepad, TelepadDeployable, Tool, TrapDeployable, TurretDeployable, Vehicle, ComplexDeployable, Deployable, SimpleDeployable, Equipment, LockerContainer, LockerEquipment, PlanetSideServerObject, Door, Generator, IFFLock, Locker, VehicleSpawnPad, Painbox, ResourceSilo, OrbitalShuttle, OrbitalShuttlePad, ShuttleAmenity, Amenity, AmenityOwner, Building, WarpGate, ProximityTerminal, Terminal, CaptureTerminal, ImplantTerminalMech, SpawnTube, FacilityTurret, TurretAmmoBox, TurretWeapon, WeaponTurret, InternalTelepad, ProximityTerminalUtility, SpawnTubeUtility, TeleportPadTerminalUtility, TerminalUtility

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. FactionAffinity
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Abstract Value Members

1.  abstract def Faction: types.PlanetSideEmpire.Value

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def Faction_=(fac: types.PlanetSideEmpire.Value): types.PlanetSideEmpire.Value
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
10.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
17.  def toString(): String
    Definition Classes
      AnyRef → Any
18.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
19.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
20.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped